View Issue Details

IDProjectCategoryLast Update
0023678AI War 2[All Projects] Bug - GameplaySep 14, 2020 6:44 pm
ReporterMasterGeeseAssigned To 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.500 Multiplayer Alpha Begins Now! 
Fixed in Version2.504 Clarity And Fair Play 
Summary0023678: Bug from first multiplayer game (Civilian Industries)
DescriptionAttached bug log from the exception that occurred
TagsNo tags attached.

Activities

MasterGeese

Sep 9, 2020 9:06 pm

reporter  

ArcenDebugLog.txt (975,892 bytes)

x4000Bughunter

Sep 10, 2020 8:10 pm

administrator   ~0058431

This one has a whole bunch of bugs, and I think most of them are probably "downstream" ones caused by more prevalent central bugs.

I solved a ton of the central bugs in the new build, although there are new problems in general. But a raft of similar issues were all smited: https://wiki.arcengames.com/index.php?title=AI_War_2:Multiplayer_Alpha_And_Beta#Multiplayer_Fixes_From_First_Alpha

I'm not confident that this will solve your particular problems, however. I think that one of your problems is related to the "cannot use cheats/commands" bug in general, and I think another may be related to a bug in Civilian Industries. The next build breaks Civvies again anyway, so StarKelp will need to update that to the latest standard before we can properly test it.

Thank you for the report!

x4000Bughunter

Sep 14, 2020 6:44 pm

administrator   ~0058513

StarKelp got this one last build, I believe it was. Thanks!

Issue History

Date Modified Username Field Change
Sep 9, 2020 9:06 pm MasterGeese New Issue
Sep 9, 2020 9:06 pm MasterGeese File Added: ArcenDebugLog.txt
Sep 10, 2020 8:10 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 10, 2020 8:10 pm x4000Bughunter Status new => feedback
Sep 10, 2020 8:10 pm x4000Bughunter Note Added: 0058431
Sep 10, 2020 8:10 pm x4000Bughunter Summary Bug from first multiplayer game => Bug from first multiplayer game (Civilian Industries)
Sep 14, 2020 6:44 pm x4000Bughunter Assigned To x4000Bughunter =>
Sep 14, 2020 6:44 pm x4000Bughunter Status feedback => resolved
Sep 14, 2020 6:44 pm x4000Bughunter Resolution open => fixed
Sep 14, 2020 6:44 pm x4000Bughunter Fixed in Version => 2.504 Clarity And Fair Play
Sep 14, 2020 6:44 pm x4000Bughunter Note Added: 0058513